import React from 'react';

import Dialog from './Dialog.jsx';
import ButtonLookup from './ButtonLookup.jsx';

export default class App extends React.Component
{
  constructor(props){
    super(props);
    this.state = {
      text: ''
    };
  }
  render(){
    return (
      <div className="account_chooser">
        <div className="form-control">{this.state.text}</div>
        <div className="btn_remove_value" 
          style={this.state.text==''?{display:'none'}:{}}
          onClick={e=>{
            this.setValue({id:0,text:''});
          }}>
          <i className="fa fa-times-circle-o" aria-hidden="true"></i>
        </div>
        <ButtonLookup btnClick={this.btnClick.bind(this)}/>
      </div>
    )
  }
  
  componentDidMount(){
    //window.aa = this;
    //console.log(this.props.options.$s)
    this.setDefualtText()
  }
  setDefualtText(){
    var $s = this.props.options.$s;
    if(typeof $s.data('text') != 'undefined' && $s.data('text')!=''){
      this.setState({text:$s.data('text')});
    }
  }
  btnClick(e){
    Dialog.show(Object.assign({},this.props.options, {
      setValue: this.setValue.bind(this)
    }));
  }
  setValue(data){
    //console.log(data, this)
    this.setState({text:data.text});
    this.props.options.$s.val(data.id);
    this.props.options.$s.trigger('change');
  }
}
